Name:           ike
Version:        2.2.0
Release:        4%{?dist}
Summary:        Shrew Soft VPN Client For Linux
Group:          Applications/Communications
License:        Sleepycat
URL:            http://www.shrew.net/
Source0:        http://www.shrew.net/download/%{name}/%{name}-%{version}-release.tgz
Source1:        iked.service
Source2:        ike.desktop
Source3:        ike.logrotate
#already fixed in upstream HEAD
Patch0:         pid.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  cmake flex bison qt4-devel openldap-devel openssl-devel libedit-devel
BuildRequires:  desktop-file-utils systemd


%description
This free IPSEC VPN client can be used to communicate with 
Open Source IPSEC VPN servers as well as some commercial
IPSEC VPN servers.

%prep
%setup -q -n %{name}

%patch0 -p0

sed -i 's:/var/log/:/var/log/iked/:' source/iked/iked.conf.sample
sed -i 's/\r//' TODO.TXT

%build
%cmake -DQTGUI=YES -DNATT=YES -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} -DETCDIR:PATH=%{_sysconfdir} \
      -DMANDIR:PATH=%{_mandir} -DLDAP=YES -DLIBDIR=%{_libdir}
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make INSTALL="install -p" install DESTDIR=$RPM_BUILD_ROOT

#install -d -p $RPM_BUILD_ROOT%%{_initrddir}
install -d -p $RPM_BUILD_ROOT%{_unitdir}
install -d -p $RPM_BUILD_ROOT%{_localstatedir}/run/%{name}d
install -d -p $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}d
install -d -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -D -p -m0755 %SOURCE1 $RPM_BUILD_ROOT%{_unitdir}/%{name}d.service
mv $RPM_BUILD_ROOT%{_sysconfdir}/iked.conf.sample $RPM_BUILD_ROOT%{_sysconfdir}/iked.conf

# Create desktop file
install -p source/qikea/png/ikea.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}a.png
desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications \
    %{SOURCE2}

# Create /etc/logrotate.d/ike
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
install -m 0644 -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable iked.service > /dev/null 2>&1 || :
    /bin/systemctl stop iked.service > /dev/null 2>&1 || :
fi


%post
/sbin/ldconfig
if [ $1 -eq 1 ] ; then 
    # Initial installation 
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi


%postun
/sbin/ldconfig
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart iked.service >/dev/null 2>&1 || :
fi

%triggerun -- ike < 2.1.7-8
# Save the current service runlevel info
# User must manually run systemd-sysv-convert --apply httpd
# to migrate them to systemd targets
/usr/bin/systemd-sysv-convert --save iked >/dev/null 2>&1 ||:

# Run these because the SysV package being removed won't do them
/sbin/chkconfig --del iked >/dev/null 2>&1 || :
/bin/systemctl try-restart iked.service >/dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc LICENSE.TXT TODO.TXT
%config(noreplace) %{_sysconfdir}/iked.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/ike
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_unitdir}/%{name}d.service
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%dir %{_localstatedir}/run/%{name}d
%dir %{_localstatedir}/log/%{name}d

%changelog
* Fri Apr 26 2013 Marcel Wysocki <maci@satgnu.net> - 2.2.0-4
- fix bug that occurs when no pid is given at the command line

* Wed Apr 24 2013 root - 2.2.0-3
- fix logrotate script

* Wed Apr 24 2013 Marcel Wysocki <maci@satgnu.net> - 2.2.0-2
- fix .service file

* Wed Apr 24 2013 Marcel Wysocki <maci@satgnu.net> - 2.2.0-1
- Update to 2.2.0

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 14 2012 Jon Ciesla <limburgher@gmail.com> - 2.1.7-8
- Migrate to systemd, BZ 789680.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 20 2011 Andrew Colin Kissa <andrew@topdog.za.net> - 2.1.7-6
- Fix bugzilla #752343

* Sun Nov 20 2011 Andrew Colin Kissa <andrew@topdog.za.net> - 2.1.7-5
- Fix bugzilla #752343

* Sun Mar 13 2011 Andrew Colin Kissa <andrew@topdog.za.net> - 2.1.7-4
- fix perms on logrotate file

* Sat Feb 12 2011 Andrew Colin Kissa <andrew@topdog.za.net> - 2.1.7-3
- Cleanup minor rpmlint errors

* Thu Oct 14 2010 Jochen Schmitt <Jochen herr-schmitt de> - 2.1.7-2
- Fix cmake related issues

* Wed Oct 13 2010 Jochen Schmitt <Jochen herr-schmitt de> - 2.1.7-1
- New upstream release

* Thu Mar 04 2010 Andrew Colin Kissa <andrew@topdog.za.net> - 2.1.5-2
- Fix source miss packaging

* Tue Dec 15 2009 Andrew Colin Kissa <andrew@topdog.za.net> - 2.1.5-1
- Upgrade to new upstream release
- Use cmake macro

* Wed Aug 19 2009 Andrew Colin Kissa <andrew@topdog.za.net> - 2.1.5-0.1.rc2
- Initial packaging
